This portion of the API provides endpoints for managing wellness plans and benefits. Note: These wellness endpoints are not recommended for new integrations. They remain fully supported, but are not suitable for all use cases and are expected to be superseded by an improved set of endpoints in a future release. Where possible, avoid building new functionality against them.
Servers
https://api.ezyvet.comezyVet production environment
https://api.trial.ezyvet.comezyVet trial environment
Fetches a list of Wellness Plans
GET
/v2/wellnessplan
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-wellnessplan"Read wellness plan resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify a Wellness Plan.
Type
number
created_at
The epoch time when the Wellness Plan was created.
Type
number
modified_at
The epoch time when the Wellness Plan was last modified.
Type
number
active
If true, the Wellness Plan is active and usable in ezyVet.
Type
boolean
name
The name of the Wellness Plan.
Type
string
Responses
A list of Wellness Plans
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "wellnessplan": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "name": "string", "subscription_cycle_unit": "string", "subscription_cycle_qty": 0, "subscription_fee_product": 0, "fixed_subscription_price": 0, "min_cycle_qty_on_signup": 0, "term_qty": 0, "pause_limit_qty": 0, "extends_end_date": true, "portion_revenue_payable": "string", "enrollment_fee_product": 0, "replacement_wellness_plan": 0, "discontinued": true, "cancellation_product": 0, "default_renew": true, "renewal_fee_product": 0, "ownership_id": 0 } } ], "messages": [ ]
{
}
GET
/v2/wellnessplan
Samples
Wellness Plan Benefit
Fetch Wellness Plan Benefit
GET
/v2/wellnessplanbenefit
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-wellnessplanbenefit"Read wellness plan benefit resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify a Wellness Plan Benefit.
Type
number
created_at
The epoch time when the Wellness Plan Benefit was created.
Type
number
modified_at
The epoch time when the Wellness Plan Benefit was last modified.
Type
number
active
If true, the Wellness Plan Benefit is active and usable in ezyVet.
Type
boolean
wellnessplan_id
The ID of the Wellness Plan that the Wellness Plan Benefit is associated with.
Type
number
Responses
A list containing Wellness Plan Benefits.
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "wellnessplanbenefit": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "name": "string", "earn_method": "string", "earn_amount": 0, "optional": true, "benefit_type": "string", "benefit_config": { "type": "string", "allocation": "string", "type_value": 0, "usages": 0, "renewable": true, "option_cost_exc_tax": 0, "refresh_cycle_quantity": 0 }, "wellnessplan_id": 0 } } ], "messages": [ { } ]
{
}
GET
/v2/wellnessplanbenefit
Samples
Fetches a list of Wellness Plan Benefit Items
GET
/v2/wellnessplanbenefititem
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-wellnessplanbenefititem"Read wellness plan benefit item resources
Parameters
Query Parameters
wellness_plan_benefit*
The ID of the Wellness Plan Benefit the Wellness Plan Benefit Item is associated with.
Type
Requirednumber
id
The ID number used by the system to uniquely identify a Wellness Plan Benefit Item.
Type
number
created_at
The epoch time when the Wellness Plan Benefit Item was created.
Type
number
modified_at
The epoch time when the Wellness Plan Benefit Item was last modified.
Type
number
active
If true, the Wellness Plan Benefit Item is active and usable in ezyVet.
Type
boolean
Responses
A list of Wellness Plan Benefit Items
application/json
JSON "meta": { "timestamp": 0, "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0 }, "items": [ { "wellnessplanbenefititem": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "wellness_plan_benefit": 0, "associated_type": "string", "associated_id": 0, "earn_method": "string", "earn_amount": 0, "consumption_rate": 0, "consumption_rate_fixed": true } } ], "messages": [ { } ]
{
}
GET
/v2/wellnessplanbenefititem
Samples
Fetches a list containing Wellness Plan Memberships
GET
/v2/wellnessplanmembership
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-wellnessplanmembership"Read wellness plan membership resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify a Wellness Plan Membership.
Type
number
created_at
The epoch time when the Wellness Plan Membership was created.
Type
number
modified_at
The epoch time when the Wellness Plan Membership was last modified.
Type
number
active
If true, the Wellness Plan Membership is active and usable in ezyVet.
Type
boolean
wellness_plan
The ID of the Wellness Plan this Wellness Plan Membership is associated with.
Type
number
animal_id
The ID of the Animal that is enrolled to this Wellness Plan Membership.
Type
number
resource_id
The ID of the Resource that enrolled the Animal into this Wellness Plan Membership.
Type
number
Responses
A list of Wellness Plan Memberships
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "wellnessplanmembership": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "wellness_plan": 0, "animal_id": 0, "renew_when_expired": true, "start_date": 0, "end_date": 0, "status": "string", "billing_interval": 0, "resource_id": 0, "previous_wellness_plan_membership": 0, "next_wellness_plan": 0, "reference": "string", "ownership_id": 0 } } ], "messages": [ { } ]
{
}
GET
/v2/wellnessplanmembership